Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fujitsu.iflow.model.workflow
Interface TimerAction

public interface TimerAction

The `TimerAction` interface defines constants and operations for handling timer controlled actions.

All timer operations are controlled through properties with values which can be set at run time through User Defined Attributes (UDA). During development, you only need to specify the names of the UDAs where data values will later be stored.

`TimerAction`s must be associated with a `TimerDef` object that is used to specify the behaviour of nodes. The standard way of constructing a new `TimerAction` object is to call the `WFObjectFactory.getTimerAction` method. The `TimerAction` is associated with a `TimerDef` object by using the `TimerDef.addTimerAction` method.

See Also:
  `WFObjectFactory`, `TimerDef`, `Node`, `JavaActionSet`

Field Summary
`static int` | `COMPLETE` Deprecated. Only `JavaActionSet` is supported.
`static int` | `CREATEPROC` Indicates that this `TimerAction` is a process creation action.
`static int` | `ESCALATE` Deprecated. Only `JavaActionSet` is supported.
`static int` | `JAVAACTIONSET` Deprecated. Only `JavaActionSet` is supported.
`static int` | `SCRIPT` Deprecated. Only `JavaActionSet` is supported.
`static int` | `SENDMAIL` Deprecated. Only `JavaActionSet` is supported.

Method Summary
`java.lang.String` | `getEscalateActionGroupList()` Deprecated. Use `JavaActionSet` instead of JavaScript
`java.lang.String` | `getEscalateActionNameList()` Deprecated. Use `JavaActionSet` instead of JavaScript
`java.lang.String` | `getJavaActionSet()` Returns the name of the User Defined Attribute (UDA) that stores the `JavaActionSet` to be executed when the timer expires.
`java.lang.String` | `getScriptAction()` Deprecated. Use `JavaActionSet` instead of JavaScript
`java.lang.String` | `getSendMailActionBcc()` Deprecated. Use `JavaActionSet` instead of JavaScript
`java.lang.String` | `getSendMailActionBody()` Deprecated. Use `JavaActionSet` instead of JavaScript
`java.lang.String` | `getSendMailActionCc()` Deprecated. Use `JavaActionSet` instead of JavaScript
`java.lang.String` | `getSendMailActionFrom()` Deprecated. Use `JavaActionSet` instead of JavaScript
`java.lang.String` | `getSendMailActionSubject()` Deprecated. Use `JavaActionSet` instead of JavaScript
`java.lang.String` | `getSendMailActionTo()` Deprecated. Use `JavaActionSet` instead of JavaScript
`java.lang.String` | `getTimerChoice()` Deprecated. Use `JavaActionSet` instead of JavaScript
`int` | `getType()` Deprecated. Only `JavaActionSet` is supported.
`void` | `setEscalateActionGroupList(java.lang.String groupListAtt)` Deprecated. Use `JavaActionSet` instead of JavaScript
`void` | `setEscalateActionNameList(java.lang.String nameListAtt)` Deprecated. Use `JavaActionSet` instead of JavaScript
`void` | `setJavaActionSet(java.lang.String javaActionSetAtt)` Sets the name of the User Defined Attribute (UDA) that contains the `JavaActionSet` to be executed when the timer expires.
`void` | `setScriptAction(java.lang.String scriptAtt)` Deprecated. Use `JavaActionSet` instead of JavaScript
`void` | `setSendMailActionBcc(java.lang.String bccAtt)` Deprecated. Use `JavaActionSet` instead of JavaScript
`void` | `setSendMailActionBody(java.lang.String bodyAtt)` Deprecated. Use `JavaActionSet` instead of JavaScript
`void` | `setSendMailActionCc(java.lang.String ccAtt)` Deprecated. Use `JavaActionSet` instead of JavaScript
`void` | `setSendMailActionFrom(java.lang.String fromAtt)` Deprecated. Use `JavaActionSet` instead of JavaScript
`void` | `setSendMailActionSubject(java.lang.String subjectAtt)` Deprecated. Use `JavaActionSet` instead of JavaScript
`void` | `setSendMailActionTo(java.lang.String toAtt)` Deprecated. Use `JavaActionSet` instead of JavaScript
`void` | `setTimerChoice(java.lang.String timerChoice)` Deprecated. Use `JavaActionSet` instead of JavaScript
`void` | `setType(int type)` Deprecated. Only `JavaActionSet` is supported.

Field Detail

### SENDMAIL

    public static final int SENDMAIL

  Deprecated. Only `JavaActionSet` is supported.

  Indicates that this `TimerAction` is an action to send email.

  See Also:
    Constant Field Values

### SCRIPT

    public static final int SCRIPT

  Deprecated. Only `JavaActionSet` is supported.

  Indicates that this `TimerAction` is a script action.

  See Also:
    Constant Field Values

### ESCALATE

    public static final int ESCALATE

  Deprecated. Only `JavaActionSet` is supported.

  Indicates that this is a timer-controlled escalation action.

  See Also:
    Constant Field Values

### CREATEPROC

    public static final int CREATEPROC

  Indicates that this `TimerAction` is a process creation action.

  See Also:
    Constant Field Values

### JAVAACTIONSET

    public static final int JAVAACTIONSET

  Deprecated. Only `JavaActionSet` is supported.

  Indicates that this `TimerAction` is used to execute a `JavaActionSet`.

  See Also:
    Constant Field Values

### COMPLETE

    public static final int COMPLETE

  Deprecated. Only `JavaActionSet` is supported.

  Indicates that this `TimerAction` is a voting choice.

  See Also:
    Constant Field Values

Method Detail

### setType

    public void setType(int type)
                 throws ModelException

  Deprecated. Only `JavaActionSet` is supported.

  Sets the type of this timer action. The Model structure is designed such that a `TimerDef` object or a `TimerAction` object can be created with or without a type of action. This method allows you to set (or modify) the type of this `TimerAction` later.

  However, there are methods which may eliminate the need for this call by setting the type when you create a `TimerDef` object or a `TimerAction` object.

  The process definition containing this `TimerAction` must be in edit-mode before calling the `setType` method. Edit-mode is entered by calling `Plan.startEdit`.

  Parameters:
    `type` - The type of this timer-controlled action as defined in the `TimerAction` interface by constants such as `SENDMAIL`.
  Throws:
    `ModelException` - Thrown when the process definition is not in edit-mode when this method is called.
  See Also:
    `Plan.startEdit()`, `getType()`

### getType

    public int getType()
                throws ModelException

  Deprecated. Only `JavaActionSet` is supported.

  Returns the current type of this timer-controlled action as defined in the `TimerAction` interface by constants such as `SENDMAIL`.

  Returns:
    The integer constants specifying the type of this `TimerAction`.
  Throws:
    `ModelException`
  See Also:
    `setType(int)`

### setScriptAction

    public void setScriptAction(java.lang.String scriptAtt)
                         throws ModelException

  Deprecated. Use `JavaActionSet` instead of JavaScript

  Sets the name of the user-defined attribute that contains the script to be executed when the timer expires.

  Parameters:
    `scriptAtt` - The name of the user-defined attribute that contains the script to be executed.
  Throws:
    `ModelException` - Thrown if setting the name of the user-defined attribute that contains the script fails.
  See Also:
    `setJavaActionSet(String)`, `getJavaActionSet()`

### getScriptAction

    public java.lang.String getScriptAction()
                                     throws ModelException

  Deprecated. Use `JavaActionSet` instead of JavaScript

  Returns the name of the user-defined attribute that stores the script to be executed when the timer expires.

  Returns:
    The name of the user-defined attribute that contains the script to be executed.
  Throws:
    `ModelException` - Thrown if retrieving the name of the user-defined attribute that contains the script fails.
  See Also:
    `setJavaActionSet(String)`, `getJavaActionSet()`

### setEscalateActionNameList

    public void setEscalateActionNameList(java.lang.String nameListAtt)
                                   throws ModelException

  Deprecated. Use `JavaActionSet` instead of JavaScript

  Sets the name of the user-defined attribute that contains the comma-separated list of names of users to be notified when the timer expires.

  Parameters:
    `nameListAtt` - The name of the user-defined attribute that contains the list of names to be notified.
  Throws:
    `ModelException` - Thrown if setting the user-defined attribute containing the name list fails.
  See Also:
    `setJavaActionSet(String)`, `getJavaActionSet()`

### getEscalateActionNameList

    public java.lang.String getEscalateActionNameList()
                                               throws ModelException

  Deprecated. Use `JavaActionSet` instead of JavaScript

  Returns the name of the user-defined attribute that contains the comma-separated list of names of users to be notified when the timer expires.

  Returns:
    The name of the user-defined attribute that contains the list of names to be notified.
  Throws:
    `ModelException` - Thrown if retrieving the user-defined attribute containing the name list fails.
  See Also:
    `setJavaActionSet(String)`, `getJavaActionSet()`

### setEscalateActionGroupList

    public void setEscalateActionGroupList(java.lang.String groupListAtt)
                                    throws ModelException

  Deprecated. Use `JavaActionSet` instead of JavaScript

  Sets the name of the user-defined attribute that contains the comma-separated list of group names to be notified when the timer expires.

  Parameters:
    `groupListAtt` - The name of the user-defined attribute that contains the list of names to be notified.
  Throws:
    `ModelException` - Thrown if setting the user-defined attribute containing the name list fails.
  See Also:
    `setJavaActionSet(String)`, `getJavaActionSet()`

### getEscalateActionGroupList

    public java.lang.String getEscalateActionGroupList()
                                                throws ModelException

  Deprecated. Use `JavaActionSet` instead of JavaScript

  Returns the name of the user-defined attribute that contains the comma-separated list of group names to be notified when the timer expires.

  Returns:
    The name of the user-defined attribute that contains the list of names to be notified.
  Throws:
    `ModelException` - Thrown if retrieving the user-defined attribute containing the name list fails.
  See Also:
    `setJavaActionSet(String)`, `getJavaActionSet()`

### setSendMailActionFrom

    public void setSendMailActionFrom(java.lang.String fromAtt)
                               throws ModelException

  Deprecated. Use `JavaActionSet` instead of JavaScript

  Sets the name of the user-defined attribute that stores the e-mail address from which the e-mail is sent.

  Parameters:
    `fromAtt` - The name of the user-defined attribute that contains the e-mail address from which the e-mail is originated.
  Throws:
    `ModelException` - if setting the name of the user-defined attribute that contains the e-mail originator fails.
  See Also:
    `setJavaActionSet(String)`, `getJavaActionSet()`

### getSendMailActionFrom

    public java.lang.String getSendMailActionFrom()
                                           throws ModelException

  Deprecated. Use `JavaActionSet` instead of JavaScript

  Returns the name of the user-defined attribute that stores the e-mail address from which the e-mail is sent.

  Returns:
    The name of the user-defined process attribute that contains the e-mail address from which the e-mail is sent.
  Throws:
    `ModelException` - Thrown if retrieving the name of the user-defined attribute that contains the e-mail originator fails.
  See Also:
    `setJavaActionSet(String)`, `getJavaActionSet()`

### setSendMailActionTo

    public void setSendMailActionTo(java.lang.String toAtt)
                             throws ModelException

  Deprecated. Use `JavaActionSet` instead of JavaScript

  Sets the name of the user-defined attribute that contains the comma-separated list of e-mail addresses to which the e-mail will be sent.

  Parameters:
    `toAtt` - The name of the user-defined attribute that contains the comma-separated list of e-mail addresses to which the e-mail will be sent.
  Throws:
    `ModelException` - Thrown if setting the name of the user-defined attribute that contains the comma-separated list of e-mail recipients fails.
  See Also:
    `setJavaActionSet(String)`, `getJavaActionSet()`

### getSendMailActionTo

    public java.lang.String getSendMailActionTo()
                                         throws ModelException

  Deprecated. Use `JavaActionSet` instead of JavaScript

  Returns the name of the user-defined attribute that contains the comma-separated list of e-mail addresses to which the e-mail will be sent.

  Returns:
    The name of the user-defined attribute that contains the comma-separated list of e-mail addresses to which the e-mail will be sent.
  Throws:
    `ModelException` - Thrown if retrieving the name of the user-defined attribute that contains the comma-separated list of e-mail recipients fails.
  See Also:
    `setJavaActionSet(String)`, `getJavaActionSet()`

### setSendMailActionSubject

    public void setSendMailActionSubject(java.lang.String subjectAtt)
                                  throws ModelException

  Deprecated. Use `JavaActionSet` instead of JavaScript

  Sets the name of the user-defined attribute that contains the subject line of the e-mail message.

  Parameters:
    `subjectAtt` - The name of the user-defined attribute that contains the subject line of the e-mail message.
  Throws:
    `ModelException` - Thrown if setting the name of the user-defined attribute that contains the e-mail subject line fails.
  See Also:
    `setJavaActionSet(String)`, `getJavaActionSet()`

### getSendMailActionSubject

    public java.lang.String getSendMailActionSubject()
                                              throws ModelException

  Deprecated. Use `JavaActionSet` instead of JavaScript

  Returns the name of the user-defined attribute that contains the subject line of the e-mail message.

  Returns:
    The name of the user-defined attribute that contains the subject line of the e-mail message.
  Throws:
    `ModelException` - Thrown if retrieving the name of the user-defined attribute that contains the e-mail subject line fails.
  See Also:
    `setJavaActionSet(String)`, `getJavaActionSet()`

### setSendMailActionBody

    public void setSendMailActionBody(java.lang.String bodyAtt)
                               throws ModelException

  Deprecated. Use `JavaActionSet` instead of JavaScript

  Sets the name of the user-defined attribute that stores the content of the e-mail message.

  Parameters:
    `bodyAtt` - The name of the user-defined attribute that contains the content of the e-mail message.
  Throws:
    `ModelException` - Thrown if setting the name of the user-defined process attribute that contains the content of the e-mail message fails.
  See Also:
    `setJavaActionSet(String)`, `getJavaActionSet()`

### getSendMailActionBody

    public java.lang.String getSendMailActionBody()
                                           throws ModelException

  Deprecated. Use `JavaActionSet` instead of JavaScript

  Returns the name of the user-defined attribute that contains the content of the e-mail message.

  Returns:
    The name of the user-defined attribute that contains the content of the e-mail message.
  Throws:
    `ModelException` - Thrown if retrieving the name of the user-defined attribute that contains the content of the e-mail message fails.
  See Also:
    `setJavaActionSet(String)`, `getJavaActionSet()`

### setSendMailActionCc

    public void setSendMailActionCc(java.lang.String ccAtt)
                             throws ModelException

  Deprecated. Use `JavaActionSet` instead of JavaScript

  Sets the name of the user-defined attribute that contains the comma-separated list of e-mail addresses to which the e-mail will be copied.

  Parameters:
    `ccAtt` - the name of the user-defined attribute that contains the comma-separated list of e-mail addresses to which the e-mail will be copied.
  Throws:
    `ModelException` - Thrown if setting the name of the user-defined attribute that contains the comma-separated list of e-mail copy recipients fails.
  See Also:
    `setJavaActionSet(String)`, `getJavaActionSet()`

### getSendMailActionCc

    public java.lang.String getSendMailActionCc()
                                         throws ModelException

  Deprecated. Use `JavaActionSet` instead of JavaScript

  Returns the name of the user-defined attribute that contains a comma-separated list of e-mail addresses to which the e-mail will be copied.

  Returns:
    The name of the user-defined attribute that contains a comma-separated list of e-mail addresses to which the e-mail will be copied.
  Throws:
    `ModelException` - Thrown if retrieving the name of the user- defined attribute that contains the e-mail copy recipients fails.
  See Also:
    `setJavaActionSet(String)`, `getJavaActionSet()`

### setSendMailActionBcc

    public void setSendMailActionBcc(java.lang.String bccAtt)
                              throws ModelException

  Deprecated. Use `JavaActionSet` instead of JavaScript

  Sets the name of the user-defined attribute that contains the comma-separated list of e-mail addresses to which the e-mail will be blind-copied.

  Parameters:
    `bccAtt` - The name of the user-defined attribute that contains the comma-separated list of e-mail addresses to which the e-mail will be blind-copied.
  Throws:
    `ModelException` - Thrown if setting the name of the user-defined attribute that contains the comma-separated list of e-mail blind-copy recipients fails.
  See Also:
    `setJavaActionSet(String)`, `getJavaActionSet()`

### getSendMailActionBcc

    public java.lang.String getSendMailActionBcc()
                                          throws ModelException

  Deprecated. Use `JavaActionSet` instead of JavaScript

  Returns the name of the user-defined attribute that contains the list of e-mail addresses to which the e-mail will be blind-copied.

  Returns:
    The name of the user-defined attribute that contains a list of e-mail addresses to which the e-mail will be blind-copied.
  Throws:
    `ModelException` - Thrown if retrieving the name of the user-defined attribute that contains a list of e-mail blind-copy recipients fails.
  See Also:
    `setJavaActionSet(String)`, `getJavaActionSet()`

### setJavaActionSet

    public void setJavaActionSet(java.lang.String javaActionSetAtt)
                          throws ModelException

  Sets the name of the User Defined Attribute (UDA) that contains the `JavaActionSet` to be executed when the timer expires.

  The length of `javaActionSetAtt` must not be longer than specified by `DataItemRef.MAX_DATA_REF_NAME_LENGTH`.

  Parameters:
    `javaActionSetAtt` - The UDA's name that contains the `JavaActionSet` to be executed.
  Throws:
    `ModelException`
  See Also:
    `getJavaActionSet()`

### getJavaActionSet

    public java.lang.String getJavaActionSet()
                                      throws ModelException

  Returns the name of the User Defined Attribute (UDA) that stores the `JavaActionSet` to be executed when the timer expires.

  Returns an empty `String` if no `JavaActionSet` is defined.

  Returns:
    The UDA's name that contains the `JavaActionSet` to be executed.
  Throws:
    `ModelException`
  See Also:
    `setJavaActionSet(String)`

### setTimerChoice

    public void setTimerChoice(java.lang.String timerChoice)
                        throws ModelException

  Deprecated. Use `JavaActionSet` instead of JavaScript

  Sets the name of the user-defined attribute that contains the timer choice to select when the timer expires.

  Throws:
    `ModelException` - Thrown if setting the name of the user-defined attribute that contains the timer choice fails.
  See Also:
    `setJavaActionSet(String)`, `getJavaActionSet()`

### getTimerChoice

    public java.lang.String getTimerChoice()
                                    throws ModelException

  Deprecated. Use `JavaActionSet` instead of JavaScript

  Returns the name of the user-defined attribute that stores the timer choice to select when the timer expires.

  Returns:
    The name of the user-defined attribute that contains the choice to select.
  Throws:
    `ModelException` - Thrown if retrieving the name of the user-defined attribute that contains the timer choice fails.
  See Also:
    `setJavaActionSet(String)`, `getJavaActionSet()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD